# Introduction

Version control is a management tool that helps to manage the changes on your project's source code and other collections of information. Usually, the changes are determined by a revision code that consists of numbers and letters. With version control, the revision history can easily be tracked, compared, restored and merged to control the whole set of your source code. Additionally, version control systems provide the ability to allow multiple team members or individuals to collaborate and maintain tracking over the source code.

Version control is available within the Monaca Cloud IDE with a user-friendly interface. There are many version control systems. Currently the Monaca Cloud IDE supports the integration of [GitHub](https://github.com) and any Git services using SSH. If you integrate your Monaca project to your repository, you can simply manage your source code right away on the Monaca Cloud IDE.

In this section, we will guide you on how to integrate your Monaca project to GitHub or any Git services using SSH. Then, you will learn how to configure your Monaca project with a repository.

{% hint style="info" %}
Generally, you can connect only to public repositories. However, with a valid Monaca subscription plan, you can also connect to private repositories. Please refer to [Monaca Subscription Plan](https://monaca.io/pricing.html).
{% endhint %}

There are two ways to integrate your Monaca account with a Git service:

* [GitHub Integration](/products_guide/monaca_ide/version_control/github_integration.md)
* [Git SSH Integration](/products_guide/monaca_ide/version_control/git_ssh_integration.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/products_guide/monaca_ide/version_control/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
